package com.hzs.system.sys.provider;

import com.hzs.common.core.domain.R;
import com.hzs.common.domain.system.sys.SysLogininfor;
import com.hzs.system.sys.ILogServiceApi;
import com.hzs.system.sys.service.ISysLogininforService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 日志涉及dubbo服务
 */
@DubboService
public class LogServiceProvider implements ILogServiceApi {

    @Autowired
    private ISysLogininforService iSysLogininforService;

    @Override
    public R<Boolean> saveLogininfor(SysLogininfor sysLogininfor) {
        if (iSysLogininforService.insertLogininfor(sysLogininfor) > 0) {
            return R.ok();
        }
        return R.fail();
    }

}
